#!/usr/bin/bash

# Copyright (C) 2007 MySQL AB
# Use is subject to license terms
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; version 2
# of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free
# Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA

function _find_mysql_root () (
    while [ "x$PWD" != "x/" ]; do
	# Check if some directories are present
	if [ -d BUILD -a -d sql -a -d mysys ]; then
	    echo "$PWD"
	    return 0
	fi
	cd ..
    done
    return 1
)

make -k clean || true
/bin/rm -f */.deps/*.P config.cache
 
path=`dirname $0`
. "$path/autorun.sh"
 
warning_flags="-Wimplicit -Wreturn-type -Wswitch -Wtrigraphs -Wcomment -W -Wchar-subscripts -Wformat -Wparentheses -Wsign-compare -Wwrite-strings -Wunused"
compiler_flags="-g -O3 -fno-omit-frame-pointer"

export CC CXX CFLAGS CXXFLAGS LDFLAGS LIBS
CC="gcc"
CXX="gcc"
CFLAGS="$warning_flags $compiler_flags"
CXXFLAGS="" 
LDFLAGS="-O3 -g -static-libgcc"
LIBS=-lmtmalloc
root=$(_find_mysql_root)

$root/configure \
    --prefix=/usr/local/mysql \
    --localstatedir=/usr/local/mysql/data \
    --libexecdir=/usr/local/mysql/bin \
    --with-extra-charsets=complex \
    --enable-thread-safe-client \
    --enable-local-infile \
    --with-zlib-dir=bundled \
    --with-big-tables \
    --with-readline \
    --with-archive-storage-engine \
    --with-named-curses=-lcurses \
    --with-big-tables \
    --with-innodb \
    --with-berkeley-db \
    --with-example-storage-engine \
    --with-blackhole-storage-engine \
    --with-ndbcluster \
    --with-federated-storage-engine \
    --with-csv-storage-engine \
    --with-ssl \
    --with-embedded-server \
    --disable-shared
